summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKyren223 <Kyren223@proton.me>2024-12-15 10:59:26 +0200
committerKyren223 <Kyren223@proton.me>2024-12-15 10:59:26 +0200
commita1434b82870c18d0531a4b0642f2ad570865a743 (patch)
treec29de7ee7f85a2497302aa4b688ffea8a36b5979 /scripts
parentb30a2cc92a33b2ae2e3a1568d0787947bb792d78 (diff)
Changed a bunch of tmux stuff, fixed annoying issue with hostname for
windows, root cause was catppuccin, removed the true color fixes because it's no longer needed due to using linux + ghostty, but if there r any issues in the future, maybe it's due to this, but everything seems to work
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/truecolor-test.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/truecolor-test.sh b/scripts/truecolor-test.sh
new file mode 100755
index 0000000..3c65446
--- /dev/null
+++ b/scripts/truecolor-test.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+awk -v term_cols="${width:-$(tput cols || echo 80)}" -v term_lines="${height:-1}" 'BEGIN{
+ s="/\\";
+ total_cols=term_cols*term_lines;
+ for (colnum = 0; colnum<total_cols; colnum++) {
+ r = 255-(colnum*255/total_cols);
+ g = (colnum*510/total_cols);
+ b = (colnum*255/total_cols);
+ if (g>255) g = 510-g;
+ printf "\033[48;2;%d;%d;%dm", r,g,b;
+ printf "\033[38;2;%d;%d;%dm", 255-r,255-g,255-b;
+ printf "%s\033[0m", substr(s,colnum%2+1,1);
+ if (colnum%term_cols==term_cols) printf "\n";
+ }
+ printf "\n";
+}'